Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.ListVerifiableCredentialTemplatesRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
client.VerifiableCredentials.Verification.Templates.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"next": "<string>",
"templates": [
{
"id": "vct_0000000000000001",
"name": "<string>",
"type": "mdl",
"dialect": "simplified/1.0",
"presentation": {
"org.iso.18013.5.1.mDL": {
"org.iso.18013.5.1": {
"family_name": true,
"given_name": true,
"birth_date": true,
"issue_date": true,
"expiry_date": true,
"issuing_country": true,
"issuing_authority": true,
"portrait": true,
"driving_privileges": true,
"resident_address": true,
"portrait_capture_date": true,
"age_in_years": true,
"age_birth_year": true,
"issuing_jurisdiction": true,
"nationality": true,
"resident_city": true,
"resident_state": true,
"resident_postal_code": true,
"resident_country": true,
"family_name_national_character": true,
"given_name_national_character": true
}
}
},
"custom_certificate_authority": "<string>",
"well_known_trusted_issuers": "<string>",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z"
}
]
}List verifiable credential templates for a tenant.
List verifiable credential templates.
GET
https://{tenantDomain}/api/v2
/
verifiable-credentials
/
verification
/
templates
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.ListVerifiableCredentialTemplatesRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
client.VerifiableCredentials.Verification.Templates.List(
context.TODO(),
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
クエリパラメータ
Optional Id from which to start selection.
Number of results per page. Defaults to 50.
必須範囲:
1 <= x <= 100このページは役に立ちましたか?
⌘I